/** 
 * Egotec-Seitentyp Uebersichtsseite
 *
 * (de) zur Anordnung verschiedener Boxen, die auf nachfolgende Seiten verlinken
 *
 * @copyright       Copyright 2013, Werner Liebscher
 * @version         v0.0.2
 * @lastmodified    $Date: 2013-07-05 
 * @created on      $Date: 01.07.2013, 11:14:34 
 * @author          Werner Liebscher
*/

.ubox_container50 {
   width: 104.16666666%;
   margin-left: -4%;
   display: flex;
   flex-wrap: wrap;
}
.ubox50  { margin: 12px 0 0 4%; }
.ubox50_width1  { width: 46%; }
.ubox50_width15,
.ubox50_width2,
.ubox50_width3,
.ubox50_width4  { 
   width: 96%; 
}

.ubox_container75 {
   width: 102.739726%;
   margin-left: -2.6666666%;
   display: flex;
   flex-wrap: wrap;
}
.ubox75  { margin: 12px 0 0 2.66666666%; }
.ubox75_width1  { width: 30.66666666%; }
.ubox75_width15 { width: 47.33333333%; }
.ubox75_width2  { width: 64%; }
.ubox75_width3,
.ubox75_width4 { 
   width: 97.33333333%; 
}

.ubox_container100 {
   width: 102.04081632653%;
   margin-left: -2%;
   display: flex;
   flex-wrap: wrap;
}
.ubox100 { margin: 12px 0 0 2%; }
.ubox100_width1  { width: 23%; }
.ubox100_width15 { width: 35.5%; }
.ubox100_width2  { width: 48%; }
.ubox100_width3  { width: 73%; }
.ubox100_width4  { width: 98%; }



/* 
   Box allgemein definieren - mit Abständen beim Floaten
*/
.ubox {
   float: left;
   border: 1px #ccc solid;
   border-radius: 0.2rem;
   background-color: #e0e2e3;
   box-sizing: border-box;
   display: flex;
   flex-direction: column; 
}   
.ubox:hover {
   border: 1px var(--main-color) solid;
   background-color: var(--main-color);
   color: white !important;
}   

a.ubox {
   font-weight: bold;
}

.mbox_news {
   display: table-cell;
   width: 100%;
   color: black;
   font-size: 1em;
   line-height: 1.416em;
    margin: 0 0 0.4em 0;
    padding: 0;
    float: left;
}
.mbox_news_titel a,
.mbox_news_text a  {
   padding-left: 0 !important;
   background-image: none !important;
}
.mbox_news b a {
   color: var(--main-color);
   border: none;
   line-height: 1.1rem;
   padding: 0;
   margin: 0;
}
/*.mbox_news b a:before {
   content: "";
   padding: 0;
   margin: 0;
}*/
.mbox_news b a:hover {
   background-color: white;
   /*border: none;*/
}

.mbox_news p {
    margin: 0 0 0.2rem 0;
    -webkit-margin-before: 0;
    -webkit-margin-after: 0;
    padding: 0;
}

p {
    -webkit-margin-before: 0;
    -webkit-margin-after: 0;
}
.mbox_news_mehr {
    /*margin: 0 0 0.1rem 0;*/
}
.mbox_news_mehr a {
    /*border: none;*/
}
/*hr.mbox_news_line {
   width: 100%;
    margin: 0.3rem 0px 0.3rem 0px;
    border: 0px solid;
    border-top: 1px #cfd3d6 solid;
}
hr.mbox_news_line:last-of-type {
    display: none;
}*/


/* Verlinkung im Kopfbereich der Box mit Hintergrundbild und Hover-Effekt */
.ubox_head_link {
   display: table-cell;
   height: 2.75rem;
   vertical-align: middle;
   color: inherit;
}
a.ubox_head {
   display: block;
   min-height: 2.75rem;
   padding-left: 0.75em !important;
   padding-right: 0.75em !important;
   border-bottom: none;
   color: black;
   font-weight: bold;
   border-top-left-radius: 0.2rem;
   border-top-right-radius: 0.2rem;
   text-decoration: none !important;
   background-image: none !important;
}
.ubox:hover > a.ubox_head {
   color: white !important;
}   

/* Linklock der Box und Verlinkungen darin - mit Hover-Effekt */
.ubox_linkblock {
   padding: 0.5rem 0.6rem;
   line-height: 1.125rem;
   height: available;
   background-color: white !important;
   border-bottom-left-radius: 0.15rem;
   border-bottom-right-radius: 0.15rem;
   flex: 1 1 auto;
}
.ubox_linkblock a {
   color: black;
   text-decoration: none !important;
}
.ubox_linkblock a:focus, 
.ubox_linkblock a:hover, 
.ubox_linkblock a:active 
{
   border-bottom: dotted 1px var(--main-color);
}

.ubox_linkblock ul { 
   list-style: none; 
   padding:0 0 0 0;  
   margin:0 0 0 1em;  
}
.ubox_linkblock li{ 
   margin: 0;
   text-indent: -0.75rem;    
}
.ubox_linkblock li:before{ 
   padding: 0;
}
a.ubox_link {
   background-image: none !important;
}

.mbox_bildblock {
   padding: 0;
/*   overflow: hidden; */
   height: available;
   line-height: 0;
}
.mbox_bildblock a {
   padding-left: 0 !important;
}
.mbox_bildblock img {
   width: 100%;
   height: auto;
}

.mbox_kurzinfo p {
   padding-bottom: 0.5em;
   color: black;
}


.mbox_weiter {
   height: 0;
   margin: 0;
   text-align: right;
   position: relative;
   top: -1.4rem;
   right: 10px;
}

.mbox_link1 {
   height: 0;
   margin: 0;
   position: relative;
   top: -1.4rem;
   left: 0.7rem;
}

.mbox_link2 {
   height: 0;
   margin: 0;
   position: relative;
   top: -1.4rem;
   left: 7rem;
}

.mbox_weiter a,
.mbox_link1 a,
.mbox_link2 a {
   color: black;
   text-decoration: none !important;
}

.mbox_weiter a:focus, 
.mbox_weiter a:hover, 
.mbox_weiter a:active ,
.mbox_link1 a:focus, 
.mbox_link1 a:hover, 
.mbox_link1 a:active, 
.mbox_link2 a:focus, 
.mbox_link2 a:hover, 
.mbox_link2 a:active {
   border-bottom: dotted 1px var(--main-color);
}


/*   Einstellungen für Bildschirmauflösung unter 800 Pixel   */ 

@media screen and ( max-width: 800px ) {
   
.ubox_container75 {
   width: 104.16666666%;
   margin-left: -4%;
}
.ubox75  { margin: 12px 0 0 4%; }
.ubox75_width1 {
   width: 46%; 
}
.ubox75_width15,
.ubox75_width2,
.ubox75_width3,
.ubox75_width4 { 
   width: 96%; 
}

.ubox_container100 {
   width: 102.739726%;
   margin-left: -2.6666666%;
}
.ubox100  { margin: 12px 0 0 2.66666666%; }
.ubox100_width1  { width: 30.66666666%; }
.ubox100_width15 { width: 47.33333333%; }
.ubox100_width2  { width: 64%; }
.ubox100_width3,
.ubox100_width4 { 
   width: 97.33333333%; 
}


}


/*   Einstellungen für Bildschirmauflösung unter 550 Pixel   */ 

@media screen and ( max-width: 550px ) {

.ubox_container100 {
   width: 104%;
   margin-left: -4%;
}
.ubox100  { margin: 12px 0 0 4%; }

.ubox100_width1 { 
   width: 46%; 
}
.ubox100_width15,
.ubox100_width2, 
.ubox100_width3, 
.ubox100_width4 { 
   width: 96%; 
}    
   
}


/*   Einstellungen für Bildschirmauflösung unter 350 Pixel   */ 

@media screen and ( max-width: 350px ) {

.ubox_container50,
.ubox_container75,
.ubox_container100 {
   width: 100%;
   margin-left: 0%;
}

.ubox50_width1,
.ubox50_width15,
.ubox50_width2,
.ubox50_width3,
.ubox50_width4,
.ubox75_width1,
.ubox75_width15, 
.ubox75_width2, 
.ubox75_width3,
.ubox75_width4,
.ubox100_width1,
.ubox100_width15,
.ubox100_width2, 
.ubox100_width3, 
.ubox100_width4 { 
   width: 100%; 
}

.ubox50, 
.ubox75,
.ubox100 { 
   margin: 12px 0 0 0;
}
   
}
